| LogDoctor 4.00 Parse Apache2/Nginx/IIS logs and view dinamically generated statistics

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
RichText Class Referencefinal

RichText. More...

`#include <rtf.h>`

Inheritance diagram for RichText:

## Static Public Member Functions
static void | enrichLogs (QString &rich_content, const std::string &content, const LogsFormat &logs_format, const TextBrowser &TB)
| Enriches the content of a log file with HTML/CSS code.
static void | richLogsDefault (QString &rich_str)
| Provides the default string.
static void | richLogsFailure (QString &rich_str)
| Provides the failure string.

## Detailed Description

RichText.

Utilities for the TextBrowser

## Member Function Documentation

## ◆ enrichLogs()

void RichText::enrichLogs | ( | QString & | rich_content,
|  | const std::string & | content,
|  | const LogsFormat & | logs_format,
|  | const TextBrowser & | TB )
| static

Enriches the content of a log file with HTML/CSS code.

Parameters

  rich_content | Will hold the final enriched content
  content | The plain text content from a log file
  logs_format | The logs format to use
  TB | The TextBrowser instance

## ◆ richLogsDefault()

void RichText::richLogsDefault | ( | QString & | rich_str | ) |
| static

Provides the default string.

Parameters

  rich_str | Will hold the string

## ◆ richLogsFailure()

void RichText::richLogsFailure | ( | QString & | rich_str | ) |
| static

Provides the failure string.

Parameters

  rich_str | Will hold the string

The documentation for this class was generated from the following files:

- logdoctor/utilities/rtf.h
- logdoctor/utilities/rtf.cpp